JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.flows.actions.remove('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(action.message);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.flows.actions.remove(
flow_action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(action.message)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Workflows.Flows.Actions.Remove(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowFlowActionRemoveParams{
FlowID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Message)
}mobilerun-cloud workflows:flows:actions remove \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--flow-action-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request DELETE \
--url https://api.mobilerun.ai/flows/{flowId}/actions/{flowActionId} \
--header 'Authorization: Bearer <token>'
{
"message": "<string>"
}{
"error": "<string>"
}Flows
Remove an action from a flow
Remove a single action from a flow by its flowActionId. Returns 404 if the flow or flow action does not exist.
DELETE
/
flows
/
{flowId}
/
actions
/
{flowActionId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.flows.actions.remove('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(action.message);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.flows.actions.remove(
flow_action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(action.message)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Workflows.Flows.Actions.Remove(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowFlowActionRemoveParams{
FlowID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Message)
}mobilerun-cloud workflows:flows:actions remove \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--flow-action-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eWas this page helpful?
⌘I